/**
 *
 * Copyright 2004 Hiram Chirino
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */
package org.activeio.net;

import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;

import org.activeio.Channel;
import org.activeio.ChannelServer;

/**
 * @version $Revision$
 */
public class SslSocketSynchChannelTest extends SynchChannelTestSupport {

    static {
        System.setProperty("javax.net.ssl.trustStore", "src/test/client.keystore");
        System.setProperty("javax.net.ssl.trustStorePassword", "password");
        System.setProperty("javax.net.ssl.trustStoreType", "jks");        
        System.setProperty("javax.net.ssl.keyStore", "src/test/server.keystore");
        System.setProperty("javax.net.ssl.keyStorePassword", "password");
        System.setProperty("javax.net.ssl.keyStoreType", "jks");        
        //System.setProperty("javax.net.debug", "ssl,handshake,data,trustmanager");        
    }
    
    SslSocketSynchChannelFactory factory = new SslSocketSynchChannelFactory();
    
    protected Channel openChannel(URI connectURI) throws IOException {
        return factory.openSynchChannel(connectURI);
    }

    protected ChannelServer bindChannel() throws IOException, URISyntaxException {
        return factory.bindSynchChannel(new URI("ssl://localhost:0"));
    }
}
